import { Application } from 'express';
import { AuthorizationActionTuple, AuthorizationRelationTuple, authorization_functions } from './authorization.js';
export type AuthorizationMockConfigItem = Partial<AuthorizationActionTuple> & {
    result: boolean;
    reason?: string;
};
export type AuthorizationMockConfig = AuthorizationMockConfigItem[];
export type AuthorizationMockLogEntry = {
    add: AuthorizationRelationTuple[];
    remove: AuthorizationRelationTuple[];
};
export declare function mock_authorization_functions(config: AuthorizationMockConfig, app: Application): ReturnType<typeof authorization_functions>;
//# sourceMappingURL=mock.d.ts.map